Get Payments List

Retrieve a list of all payments created by the Payment Initiation Service (PIS).

Endpoint

GET /v1/payments

Query Parameters

No query parameters.

Request Headers

AttributeTypeConditionDescription
X-Request-IDUUIDMandatoryID of the request, unique to the call, as determined by the initiating party (TPP).
AuthorizationStringMandatoryThe oAuth2 Bearer token obtained from the SCA performed prior to this request.
API-KeyStringMandatoryConsumer key available on the developers portal.
Consent-IDUUIDMandatoryThe consent ID of the related PIS consent.

Request Body

No request body.

Response

HTTP 200 OK

Response Headers

AttributeTypeConditionDescription
X-Request-IDUUIDMandatoryID of the request, unique to the call, as determined by the initiating party (TPP).

Response Body

AttributeTypeConditionDescription
paymentsArray of PaymentMandatoryA list of Payments.
paginationPaginationMandatoryPagination information about the returned results.

Example

Request

curl -X GET \
https://mp-psd2-api.mypos.com/v1/payments \
-H 'API-Key: aGDmxHAmpMWUL1txqCsjEcOS' \
-H 'Authorization: Bearer oqeeWzoYfqkf1RsfyaB3hyNiLvY7GNAV6Kta7sGa9X' \
-H 'X-Request-ID: a552babc-7081-44e7-9361-61eb17e0bfd9' \
-H 'Consent-ID: 3c7816ee-3d51-4bf5-8ced-ece2af35d431'

Response

{
    "payments": [
        {
            "paymentId": "e454aa67-2829-49da-a4e3-9fbcdd6e7545",
            "paymentDateTime": "2019-09-05T14:02:06.803",
            "paymentStatus": "CANC",
            "creditorAccount": "NL14ABNA4415260276",
            "instructedAmount": 20.0,
            "instructedCurrency": "EUR",
            "creditorName": "First Last"
        },
        {
            "paymentId": "f59a74b6-8ba2-4c06-aaf9-e534b48d1bfb",
            "paymentDateTime": "2019-09-05T14:00:24.463",
            "paymentStatus": "CANC",
            "creditorAccount": "NL14ABNA4415260276",
            "instructedAmount": 20.0,
            "instructedCurrency": "EUR",
            "creditorName": "First Last"
        }
    ],
    "pagination": {
        "pageSize": 2,
        "page": 1,
        "total": 2
    }
}